local FOLDER_NAME, private = ...
local core = LibStub("AceAddon-3.0"):GetAddon(FOLDER_NAME)
local L = LibStub("AceLocale-3.0"):GetLocale(FOLDER_NAME)

local vanherbs ={
                ["id"] = {765, 2447, 108319, 2449, 108318, 785, 108321, 2452, 108320, 2450, 108330, 3820, 108322, 2453, 108323, 3355, 108327, 3369, 108324, 3356, 108325, 3357, 108328, 3818, 108331, 3821, 108326, 3358, 108329, 3819, 8153, 108332, 4625, 108333, 8831, 108334, 8836, 108335, 8838, 108336, 8839, 108337, 8845, 108338, 8846, 108340, 13464, 108339, 13463, 108341, 13465, 108342, 13466, 108343, 13467, 13468},
                ["strings"] = {L["Silverleaf"], L["Peacebloom"], L["Earthroot Stem"], L["Earthroot"], L["Mageroyal Petal"], L["Mageroyal"], L["Swiftthistle Leaf"], L["Swiftthistle"], L["Briarthorn Bramble"], L["Briarthorn"], L["Strangekelp Blade"], L["Strangekelp"], L["Bruiseweed Stem"], L["Bruiseweed"], L["Wild Steelbloom Petal"], L["Wild Steelbloom"], L["Grave Moss Leaf"], L["Grave Moss"], L["Kingsblood Petal"], L["Kingsblood"], L["Liferoot Stem"], L["Liferoot"], L["Fadeleaf Petal"], L["Fadeleaf"], L["Goldthorn Bramble"], L["Goldthorn"], L["Khadgar's Whisker Stem"], L["Khadgar's Whisker"], L["Dragon's Teeth Stem"], L["Dragon's Teeth"], L["Wildvine"], L["Firebloom Petal"], L["Firebloom"], L["Purple Lotus Petal"], L["Purple Lotus"], L["Arthas' Tears Petal"], L["Arthas' Tears"], L["Sungrass Stalk"], L["Sungrass"], L["Blindweed Stem"], L["Blindweed"], L["Ghost Mushroom Cap"], L["Ghost Mushroom"], L["Gromsblood Leaf"], L["Gromsblood"], L["Golden Sansam Leaf"], L["Golden Sansam"], L["Dreamfoil Blade"], L["Dreamfoil"], L["Mountain Silversage Stalk"], L["Mountain Silversage"], L["Sorrowmoss Leaf"], L["Sorrowmoss"], L["Icecap Petal"], L["Icecap"], L["Black Lotus"]},
                ["short"] = {L["S_Silverleaf"], L["S_Peacebloom"], L["S_Earthroot Stem"], L["S_Earthroot"], L["S_Mageroyal Petal"], L["S_Mageroyal"], L["S_Swiftthistle Leaf"], L["S_Swiftthistle"], L["S_Briarthorn Bramble"], L["S_Briarthorn"], L["S_Strangekelp Blade"], L["S_Strangekelp"], L["S_Bruiseweed Stem"], L["S_Bruiseweed"], L["S_Wild Steelbloom Petal"], L["S_Wild Steelbloom"], L["S_Grave Moss Leaf"], L["S_Grave Moss"], L["S_Kingsblood Petal"], L["S_Kingsblood"], L["S_Liferoot Stem"], L["S_Liferoot"], L["S_Fadeleaf Petal"], L["S_Fadeleaf"], L["S_Goldthorn Bramble"], L["S_Goldthorn"], L["S_Khadgar's Whisker Stem"], L["S_Khadgar's Whisker"], L["S_Dragon's Teeth Stem"], L["S_Dragon's Teeth"], L["S_Wildvine"], L["S_Firebloom Petal"], L["S_Firebloom"], L["S_Purple Lotus Petal"], L["S_Purple Lotus"], L["S_Arthas' Tears Petal"], L["S_Arthas' Tears"], L["S_Sungrass Stalk"], L["S_Sungrass"], L["S_Blindweed Stem"], L["S_Blindweed"], L["S_Ghost Mushroom Cap"], L["S_Ghost Mushroom"], L["S_Gromsblood Leaf"], L["S_Gromsblood"], L["S_Golden Sansam Leaf"], L["S_Golden Sansam"], L["S_Dreamfoil Blade"], L["S_Dreamfoil"], L["S_Mountain Silversage Stalk"], L["S_Mountain Silversage"], L["S_Sorrowmoss Leaf"], L["S_Sorrowmoss"], L["S_Icecap Petal"], L["S_Icecap"], L["S_Black Lotus"]},
                ["color"] = {"90ee90", "e0ffff", "ffe4b5", "ffe4b5", "db7093", "db7093", "98fb98", "98fb98", "f4a460", "f4a460", "66cdaa", "66cdaa", "adff2f", "adff2f", "ffd700", "ffd700", "fffafa", "fffafa", "ee82ee", "ee82ee", "ffe4c4", "ffe4c4", "8fbc8f", "8fbc8f", "b8860b", "b8860b", "3cb371", "3cb371", "ff7f50", "ff7f50", "ee82ee", "ff4500", "ff4500", "dda0dd",  "dda0dd", "ba55d3", "ba55d3", "ffd700", "ffd700", "afeeee", "afeeee", "f8f8ff", "f8f8ff", "cd5c5c", "cd5c5c", "bdb76b",  "bdb76b", "9370db", "9370db", "87ceeb", "87ceeb", "9370db", "9370db", "00bfff", "00bfff", "5f9ea0"}
                }
local bcherbs ={
                ["id"] = {108334, 22785, 108345, 22786, 109347, 22789, 108346, 22787, 108348, 22790, 22794, 108349, 22791, 108350, 22792, 108351, 22793},
                ["strings"] = {L["Felweed Stalk"], L["Felweed"], L["Dreaming Glory Petal"], L["Dreaming Glory"], L["Terocone Leaf"], L["Terocone"], L["Ragveil Cap"], L["Ragveil"], L["Ancient Lichen Petal"], L["Ancient Lichen"], L["Fel Lotus"], L["Netherbloom Leaf"], L["Netherbloom"], L["Nightmare Vine Stem"], L["Nightmare Vine"], L["Mana Thistle Leaf"], L["Mana Thistle"]},
                ["short"] = {L["S_Felweed Stalk"], L["S_Felweed"], L["S_Dreaming Glory Petal"], L["S_Dreaming Glory"], L["S_Terocone Leaf"], L["S_Terocone"], L["S_Ragveil Cap"], L["S_Ragveil"], L["S_Ancient Lichen Petal"], L["S_Ancient Lichen"], L["S_Fel Lotus"], L["S_Netherbloom Leaf"], L["S_Netherbloom"], L["S_Nightmare Vine Stem"], L["S_Nightmare Vine"], L["S_Mana Thistle Leaf"], L["S_Mana Thistle"]},
                ["color"] = {"00ff7f", "00ff7f", "ffd700", "ffd700", "66cdaa", "66cdaa", "ffe4c4", "ffe4c4", "98fb98", "98fb98", "66cdaa", "ffa07a", "ffa07a", "9acd32", "9acd32", "00bfff", "00bfff"}
                }
local lkherbs ={
                ["id"] = {108352, 36901, 108354, 36904, 108357, 36907, 108358, 37921, 108359, 39970, 108353, 36903, 36908, 108355, 36905, 108356, 36906},
                ["strings"] = {L["Goldclover Leaf"], L["Goldclover"], L["TigerLily Petal"], L["TigerLily"], L["Talandra's Rose Petal"], L["Talandra's Rose"], L["Deadnettle Bramble"], L["Deadnettle"], L["Fire Leaf Bramble"], L["Fire Leaf"], L["Adder's Tongue Stem"], L["Adder's Tongue"], L["Frost Lotus"], L["Lichbloom Stalk"], L["Lichbloom"], L["Icethorn Bramble"], L["Icethorn"]},
                ["short"] = {L["S_Goldclover Leaf"], L["S_Goldclover"], L["S_TigerLily Petal"], L["S_TigerLily"], L["S_Talandra's Rose Petal"], L["S_Talandra's Rose"], L["S_Deadnettle Bramble"], L["S_Deadnettle"], L["S_Fire Leaf Bramble"], L["S_Fire Leaf"], L["S_Adder's Tongue Stem"], L["S_Adder's Tongue"], L["S_Frost Lotus"], L["S_Lichbloom Stalk"], L["S_Lichbloom"], L["S_Icethorn Bramble"], L["S_Icethorn"]},
                ["color"] = {"ffd700", "ffd700", "ff8c00", "ff8c00", "dc143c", "dc143c", "cd853f", "cd853f", "ff4500", "ff4500", "00fa9a", "00fa9a", "87cefa", "b0e0e6", "b0e0e6", "00bfff", "00bfff"}
                }
local cataherbs ={
                ["id"] = {108360, 52983, 108361, 52984, 108362, 52985, 108363, 52986, 108365, 52988, 108364, 52987},
                ["strings"] = {L["Cinderbloom Petal"], L["Cinderbloom"], L["Stormvine Stalk"], L["Stormvine"], L["Azshara's Veil Stem"], L["Azshara's Veil"], L["Heartblossom Petal"], L["Heartblossom"], L["Whiptail Stem"], L["Whiptail"], L["Twilight Jasmine Petal"], L["Twilight Jasmine"]},
                ["short"] = {L["S_Cinderbloom Petal"], L["S_Cinderbloom"], L["S_Stormvine Stalk"], L["S_Stormvine"], L["S_Azshara's Veil Stem"], L["S_Azshara's Veil"], L["S_Heartblossom Petal"], L["S_Heartblossom"], L["S_Whiptail Stem"], L["S_Whiptail"], L["S_Twilight Jasmine Petal"], L["S_Twilight Jasmine"]},
                ["color"] = {"ff4500", "ff4500", "00bfff", "00bfff", "7fffd4", "7fffd4", "ff4500", "ff4500", "bdb76b", "bdb76b", "ee82ee", "ee82ee"}
                }
local mopherbs ={
                ["id"] = {97624, 97619, 72234, 97620, 72237, 97621, 72235, 97622, 79010, 97623, 79011, 72238},
                ["strings"] = {L["Desecrated Herb Pod"], L["Torn Green Tea Leaf"], L["Green Tea Leaf"], L["Rain Poppy Petal"], L["Rain Poppy"], L["Silkweed Stem"], L["Silkweed"], L["Snow Lily Petal"], L["Snow Lily"], L["Fool's Cap Spores"], L["Fool's Cap"], L["Golden Lotus"]},
                ["short"] = {L["S_Desecrated Herb Pod"], L["S_Torn Green Tea Leaf"], L["S_Green Tea Leaf"], L["S_Rain Poppy Petal"], L["S_Rain Poppy"], L["S_Silkweed Stem"], L["S_Silkweed"], L["S_Snow Lily Petal"], L["S_Snow Lily"], L["S_Fool's Cap Spores"], L["S_Fool's Cap"], L["S_Golden Lotus"]},
                ["color"] = {"d3d3d3", "98fb98", "98fb98", "ffc0cb", "ffc0cb", "adff2f", "adff2f", "afeeee", "afeeee", "e9967a", "e9967a", "f0e68c"}
                }
local wodherbs ={
                ["id"] = {109624, 109124, 109625, 109125, 109626, 109126, 109627, 109127, 109628, 109128, 109629, 109129, 109130},
                ["strings"] = {L["Broken Frostweed Stem"], L["Frostweed"], L["Broken Fireweed Stem"], L["Fireweed"], L["Gorgrond Flytrap Ichor"], L["Gorgrond Flytrap"], L["Starflower Petal"], L["Starflower"], L["Nagrand Arrowbloom Petal"], L["Nagrand Arrowbloom"], L["Talador Orchid Petal"], L["Talador Orchid"], L["Chameleon Lotus"]},
                ["short"] = {L["S_Broken Frostweed Stem"], L["S_Frostweed"], L["S_Broken Fireweed Stem"], L["S_Fireweed"], L["S_Gorgrond Flytrap Ichor"], L["S_Gorgrond Flytrap"], L["S_Starflower Petal"], L["S_Starflower"], L["S_Nagrand Arrowbloom Petal"], L["S_Nagrand Arrowbloom"], L["S_Talador Orchid Petal"], L["S_Talador Orchid"], L["S_Chameleon Lotus"]},
                ["color"] = {"00b2ee", "00b2ee", "cd3700", "cd3700", "90ee90", "90ee90", "1c86ee", "1c86ee", "00ced1", "00ced1", "cd69c9", "cd69c9", "ffec8b"}
                }
private.vanherbs = vanherbs
private.bcherbs = bcherbs
private.lkherbs = lkherbs
private.cataherbs = cataherbs
private.mopherbs = mopherbs
private.wodherbs = wodherbs